Orxonox: TiXmlDeclaration Class Reference

# TiXmlDeclaration Class Reference

`#include <src/tinyxml/tinyxml.h>`

Inheritance diagram for TiXmlDeclaration:

List of all members.

## Public Member Functions

virtual bool | Accept (TiXmlVisitor *visitor) const
virtual TiXmlNode * | Clone () const
| Creates a copy of this Declaration and returns it.
const char * | Encoding () const
| Encoding. Will return an empty string if none was found.
void | operator= (const TiXmlDeclaration &copy)
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)
virtual void | Print (FILE *cfile, int depth) const
virtual void | Print (FILE *cfile, int depth, TIXML_STRING *str) const
const char * | Standalone () const
| Is this a standalone document?
| TiXmlDeclaration (const TiXmlDeclaration &copy)
| TiXmlDeclaration (const char *_version, const char *_encoding, const char *_standalone)
| Construct.
| TiXmlDeclaration ()
| Construct an empty declaration.
virtual TiXmlDeclaration * | ToDeclaration ()
| Cast to a more defined type. Will return null not of the requested type.
virtual const TiXmlDeclaration * | ToDeclaration () const
| Cast to a more defined type. Will return null not of the requested type.
const char * | Version () const
| Version. Will return an empty string if none was found.
virtual | ~TiXmlDeclaration ()

## Protected Member Functions

void | CopyTo (TiXmlDeclaration *target) const

## Private Attributes

TIXML_STRING | encoding
TIXML_STRING | standalone
TIXML_STRING | version

## Detailed Description

In correct XML the declaration is the first entry in the file.

    		<?xml version="1.0" standalone="yes"?>

TinyXml will happily read or write files without a declaration, however. There are 3 possible attributes to the declaration: version, encoding, and standalone.

Note: In this version of the code, the attributes are handled as special cases, not generic attributes, simply because there can only be at most 3 and they are always the same.

## Constructor & Destructor Documentation

TiXmlDeclaration::TiXmlDeclaration | ( |  | ) | `[inline]`

Construct an empty declaration.

Referenced by Clone().

TiXmlDeclaration::TiXmlDeclaration | ( | const char * | _version,
|  | const char * | _encoding,
|  | const char * | _standalone |
| ) |  |  |

Construct.

References encoding, standalone, and version.

TiXmlDeclaration::TiXmlDeclaration | ( | const TiXmlDeclaration & | copy | ) |

References CopyTo().

virtual TiXmlDeclaration::~TiXmlDeclaration | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

bool TiXmlDeclaration::Accept | ( | TiXmlVisitor * | visitor | ) | const`[virtual]`

Walk the XML tree visiting this node and all of its children.

Implements TiXmlNode.

References TiXmlVisitor::Visit().

TiXmlNode * TiXmlDeclaration::Clone | ( |  | ) | const`[virtual]`

Creates a copy of this Declaration and returns it.

Implements TiXmlNode.

References CopyTo(), and TiXmlDeclaration().

void TiXmlDeclaration::CopyTo | ( | TiXmlDeclaration * | target | ) | const`[protected]`

References TiXmlNode::CopyTo(), encoding, standalone, and version.

Referenced by Clone(), operator=(), and TiXmlDeclaration().

const char* TiXmlDeclaration::Encoding | ( |  | ) | const`[inline]`

Encoding. Will return an empty string if none was found.

References encoding.

Referenced by TiXmlDocument::Parse().

void TiXmlDeclaration::operator= | ( | const TiXmlDeclaration & | copy | ) |

References TiXmlNode::Clear(), and CopyTo().

const char * TiXmlDeclaration::Parse | ( | const char * | p,
|  | TiXmlParsingData * | data,
|  | TiXmlEncoding | encoding |
| ) |  |  | `[virtual]`

Implements TiXmlBase.

References TiXmlParsingData::Cursor(), encoding, TiXmlNode::GetDocument(), TiXmlBase::IsWhiteSpace(), TiXmlBase::location, TiXmlAttribute::Parse(), TiXmlDocument::SetError(), TiXmlBase::SkipWhiteSpace(), TiXmlParsingData::Stamp(), standalone, TiXmlBase::StringEqual(), TiXmlBase::TIXML_ERROR_PARSING_DECLARATION, TiXmlAttribute::Value(), and version.

virtual void TiXmlDeclaration::Print | ( | FILE * | cfile,
|  | int | depth |
| ) |  |  | const`[inline, virtual]`

All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.) Either or both cfile and str can be null.

This is a formatted print, and will insert tabs and newlines.

(For an unformatted stream, use the << operator.)

Implements TiXmlBase.

References Print().

void TiXmlDeclaration::Print | ( | FILE * | cfile,
|  | int | depth,
|  | TIXML_STRING * | str |
| ) |  |  | const`[virtual]`

References encoding, standalone, and version.

Referenced by Print(), and TiXmlPrinter::Visit().

const char* TiXmlDeclaration::Standalone | ( |  | ) | const`[inline]`

Is this a standalone document?

References standalone.

virtual TiXmlDeclaration* TiXmlDeclaration::ToDeclaration | ( |  | ) | `[inline, virtual]`

Cast to a more defined type. Will return null not of the requested type.

Reimplemented from TiXmlNode.

virtual const TiXmlDeclaration* TiXmlDeclaration::ToDeclaration | ( |  | ) | const`[inline, virtual]`

Cast to a more defined type. Will return null not of the requested type.

Reimplemented from TiXmlNode.

const char* TiXmlDeclaration::Version | ( |  | ) | const`[inline]`

Version. Will return an empty string if none was found.

References version.

## Member Data Documentation

TIXML_STRING TiXmlDeclaration::encoding`[private]`

Referenced by CopyTo(), Encoding(), Parse(), Print(), and TiXmlDeclaration().

TIXML_STRING TiXmlDeclaration::standalone`[private]`

Referenced by CopyTo(), Parse(), Print(), Standalone(), and TiXmlDeclaration().

TIXML_STRING TiXmlDeclaration::version`[private]`

Referenced by CopyTo(), Parse(), Print(), TiXmlDeclaration(), and Version().

The documentation for this class was generated from the following files:

- src/tinyxml/tinyxml.h
- src/tinyxml/tinyxml.cpp
- src/tinyxml/tinyxmlparser.cpp